Create Access Token (Public API credentials)

Create an access token for Public API credentials.

Use this endpoint for server-to-server integrations that were issued Public API credentials. Send Authorization: Basic base64(client_id:client_secret) and either an empty JSON body or {"grant_type":"client_credentials"}.

Do not use this endpoint for OAuth app credentials. OAuth apps must use the PKCE flow with Request Authorization and OAuth2 Token Endpoint.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Optional body. You can omit it entirely or send grant_type=client_credentials. Use scope only if you want to narrow the token scope.

Optional body. You can omit it entirely or send grant_type=client_credentials. Use scope only if you want to narrow the token scope.

string
enum
Defaults to client_credentials

Optional. Defaults to client_credentials when omitted.

Allowed:
string

Optional field to restrict the scope of the token. The default scope will match the scope defined in the front end when generating your API client id and secret.

See available scopes for more information.

Headers
string
required
length ≥ 1

Should contain "Basic " followed by base64 encoded Public API client_id:client_secret.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json